App::Yath::Options::PreCommand(3pm)

NAME
App::Yath::Options::PreCommand - Options for yath before command is specified.

DESCRIPTION
This is qhere many pe-commnd options are defined.

PROVIDED OPTIONS

  YATH OPTIONS (PRE-COMMAND)
Developer

--dev-lib
--dev-lib=lib
-D
-D=lib
-Dlib
--no-dev-lib
    Add paths to @INC before loading ANYTHING. This is what you use if you are developing yath or yath plugins to make sure the yath script finds the local code instead of the installed versions of the same code. You can provide an argument (-Dfoo) to provide a custom path, or you can just use -D without and arg to add lib, blib/lib and blib/arch.

    Can be specified multiple times

Environment

--persist-dir ARG
--persist-dir=ARG
--no-persist-dir
    Where to find persistence files.

--persist-file ARG
--persist-file=ARG
--pfile ARG
--pfile=ARG
--no-persist-file
    Where to find the persistence file. The default is /{system-tempdir}/project-yath-persist.json. If no project is specified then it will fall back to the current directory. If the current directory is not writable it will default to /tmp/yath-persist.json which limits you to one persistent runner on your system.

--project ARG
--project=ARG
--project-name ARG
--project-name=ARG
--no-project
    This lets you provide a label for your current project/codebase. This is best used in a .yath.rc file. This is necessary for a persistent runner.

Plugins

--no-scan-plugins
--no-no-scan-plugins
    Normally yath scans for and loads all App::Yath::Plugin::* modules in order to bring in command-line options they may provide. This flag will disable that. This is useful if you have a naughty plugin that is loading other modules when it should not.

--plugins PLUGIN
--plugins +App::Yath::Plugin::PLUGIN
--plugins PLUGIN=arg1,arg2,...
--plugin PLUGIN
--plugin +App::Yath::Plugin::PLUGIN
--plugin PLUGIN=arg1,arg2,...
-pPLUGIN
--no-plugins
    Load a yath plugin.

    Can be specified multiple times

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/